Ubuntu: Fixed linux-restricted-modules-2.6.15

    Date16 Oct 2006
    CategoryUbuntu
    3495
    Posted ByLinuxSecurity Advisories
    USN-346-1 provided an updated Linux kernel to fix several security vulnerabilities. Unfortunately the update broke the binary 'nvidia' driver from linux-restricted-modules. This update corrects this problem. We apologize for the inconvenience.
    =========================================================== 
    Ubuntu Security Notice USN-346-2         September 14, 2006
    linux-restricted-modules-2.6.15 regression fix
    ===========================================================
    
    A security issue affects the following Ubuntu releases:
    
    Ubuntu 6.06 LTS
    
    This advisory also applies to the corresponding versions of
    Kubuntu, Edubuntu, and Xubuntu.
    
    The problem can be corrected by upgrading your system to the
    following package versions:
    
    Ubuntu 6.06 LTS:
      avm-fritz-firmware-2.6.15-26             		2.6.15.11-4
      avm-fritz-kernel-source                  		2.6.15.11-4
      fglrx-control                            		2.6.15.11-4
      fglrx-kernel-source                      		2.6.15.11-4
      linux-restricted-modules-2.6.15-26-386   		2.6.15.11-4
      linux-restricted-modules-2.6.15-26-686   		2.6.15.11-4
      linux-restricted-modules-2.6.15-26-amd64-generic 	2.6.15.11-4
      linux-restricted-modules-2.6.15-26-amd64-k8 		2.6.15.11-4
      linux-restricted-modules-2.6.15-26-amd64-xeon 	2.6.15.11-4
      nic-restricted-firmware-2.6.15-26-386-di 		2.6.15.11-4
      nic-restricted-firmware-2.6.15-26-amd64-generic-di 	2.6.15.11-4
      nic-restricted-modules-2.6.15-26-386-di  		2.6.15.11-4
      nic-restricted-modules-2.6.15-26-amd64-generic-di 	2.6.15.11-4
      nvidia-glx                               		2.6.15.11-4
      nvidia-glx-dev                           		2.6.15.11-4
      nvidia-glx-legacy                        		2.6.15.11-4
      nvidia-glx-legacy-dev                    		2.6.15.11-4
      nvidia-kernel-source                     		2.6.15.11-4
      nvidia-legacy-kernel-source              		2.6.15.11-4
      xorg-driver-fglrx                        		2.6.15.11-4
      xorg-driver-fglrx-dev                    		2.6.15.11-4
    
    After a standard system upgrade you need to reboot your computer to
    effect the necessary changes.
    
    Details follow:
    
    USN-346-1 provided an updated Linux kernel to fix several security
    vulnerabilities. Unfortunately the update broke the binary 'nvidia'
    driver from linux-restricted-modules. This update corrects this
    problem. We apologize for the inconvenience.
    
    
    Updated packages for Ubuntu 6.06 LTS:
    
      Source archives:
    
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15_2.6.15.11-4.diff.gz
          Size/MD5:    87151 643e82286c057ba22dc6e206eb35bb29
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15_2.6.15.11-4.dsc
          Size/MD5:     3185 994d3417c1d9ec7eab79ea993cb37304
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15_2.6.15.11.orig.tar.gz
          Size/MD5: 97566445 8bb235f9119aed52797b057827756b8c
    
      Architecture independent packages:
    
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-common_2.6.15.11-4_all.deb
          Size/MD5:    17844 f05d3a7a38b1c45959d6d19972e9dd68
    
      amd64 architecture (Athlon64, Opteron, EM64T Xeon)
    
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/avm-fritz-firmware-2.6.15-26_3.11+2.6.15.11-4_amd64.deb
          Size/MD5:   474964 3caecd039a65b40abbb7e0992dfacaef
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/avm-fritz-kernel-source_3.11+2.6.15.11-4_amd64.deb
          Size/MD5:  2404974 cb8229fe0f818d8a595c29d5d1d365be
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/fglrx-control_8.25.18+2.6.15.11-4_amd64.deb
          Size/MD5:    76148 dbbac55447617a2c29a5456bfb3ac956
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/fglrx-kernel-source_8.25.18+2.6.15.11-4_amd64.deb
          Size/MD5:   510394 79c3e8fd94f52f8803bc40587f07e2ac
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-amd64-generic_2.6.15.11-4_amd64.deb
          Size/MD5:  6861180 6c3497ef198fe4f983a8fb7d644345eb
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-amd64-k8_2.6.15.11-4_amd64.deb
          Size/MD5:  6860656 014f045a30ed2ebffe4a95958bddf933
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-amd64-xeon_2.6.15.11-4_amd64.deb
          Size/MD5:  6837510 a12bc36da1ba8df6f3b441c050c41f5c
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nic-restricted-firmware-2.6.15-26-amd64-generic-di_2.6.15.11-4_amd64.udeb
          Size/MD5:   799514 38bdf455f45161a6bc1bca5012f7b0d4
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nic-restricted-modules-2.6.15-26-amd64-generic-di_2.6.15.11-4_amd64.udeb
          Size/MD5:   497782 3d8877d1d042d2cc8e36ea9e61af24c2
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx-dev_1.0.8762+2.6.15.11-4_amd64.deb
          Size/MD5:   166118 56e89f9896b208e24cb716835e9498fa
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx-legacy-dev_1.0.7174+2.6.15.11-4_amd64.deb
          Size/MD5:   161702 4232e7de834f919651d79c9306c643c4
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx-legacy_1.0.7174+2.6.15.11-4_amd64.deb
          Size/MD5:  6070528 cb309054c7cfbb54a66df62f63ae93b9
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx_1.0.8762+2.6.15.11-4_amd64.deb
          Size/MD5:  7320274 094915d52a54a240472d6dea24b671c8
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/nvidia-kernel-source_1.0.8762+2.6.15.11-4_amd64.deb
          Size/MD5:  1758806 2a93a403fb704c79b249147cd00abf7c
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/nvidia-legacy-kernel-source_1.0.7174+2.6.15.11-4_amd64.deb
          Size/MD5:  1405450 425d8c405d8bd3c3630e41e9a60a92fb
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/xorg-driver-fglrx-dev_7.0.0-8.25.18+2.6.15.11-4_amd64.deb
          Size/MD5:   125236 ffb7eb7471336f2fde9127923ce9ef07
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/xorg-driver-fglrx_7.0.0-8.25.18+2.6.15.11-4_amd64.deb
          Size/MD5: 17296442 75f9a7bab8b41e4cd5ad6f9a205d6f48
    
      i386 architecture (x86 compatible Intel/AMD)
    
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/avm-fritz-firmware-2.6.15-26_3.11+2.6.15.11-4_i386.deb
          Size/MD5:  1204512 44a6759adc93e3fff035bed23c7fe44e
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/avm-fritz-kernel-source_3.11+2.6.15.11-4_i386.deb
          Size/MD5:  3692196 67d7e964ce6f8a1d181ca384a83c6e47
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/fglrx-control_8.25.18+2.6.15.11-4_i386.deb
          Size/MD5:    73032 9db2c8b8355ac7aea0a4138df028343d
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/fglrx-kernel-source_8.25.18+2.6.15.11-4_i386.deb
          Size/MD5:   660424 d4178190555fadf59069b0e97b9caa88
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-386_2.6.15.11-4_i386.deb
          Size/MD5:  8137630 db3620b3089df4c3db8e00b19e663d3a
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-686_2.6.15.11-4_i386.deb
          Size/MD5:  7939300 6f38892ead571b90ea30e98bf36bf27c
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-k7_2.6.15.11-4_i386.deb
          Size/MD5:  7938132 47d11aaa9d59969f49cb58f745b027f8
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nic-restricted-firmware-2.6.15-26-386-di_2.6.15.11-4_i386.udeb
          Size/MD5:   799338 098fe6d3fdd412ab0b94957d42466307
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nic-restricted-modules-2.6.15-26-386-di_2.6.15.11-4_i386.udeb
          Size/MD5:   475504 926d8f9a4ebb21d6768c3d8dc201b3bc
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx-dev_1.0.8762+2.6.15.11-4_i386.deb
          Size/MD5:   146858 96525b932c1366ae3adf43bb28e1caa8
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx-legacy-dev_1.0.7174+2.6.15.11-4_i386.deb
          Size/MD5:   139810 6a92d3f6b67442333980f8e4ccf587bc
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx-legacy_1.0.7174+2.6.15.11-4_i386.deb
          Size/MD5:  3060114 5e779427deeca956bfe11308976f4847
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nvidia-glx_1.0.8762+2.6.15.11-4_i386.deb
          Size/MD5:  4059028 97eb8ac3cb4d48f6912435de34cff73c
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/nvidia-kernel-source_1.0.8762+2.6.15.11-4_i386.deb
          Size/MD5:  1693226 b7040b79ddaf65b1f9f3227550e56e63
        http://security.ubuntu.com/ubuntu/pool/multiverse/l/linux-restricted-modules-2.6.15/nvidia-legacy-kernel-source_1.0.7174+2.6.15.11-4_i386.deb
          Size/MD5:  1401238 1d4fbedbdff07d0e184a367f9257834d
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/xorg-driver-fglrx-dev_7.0.0-8.25.18+2.6.15.11-4_i386.deb
          Size/MD5:   110704 dc9751aa2ec3817b24ace5b690818339
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/xorg-driver-fglrx_7.0.0-8.25.18+2.6.15.11-4_i386.deb
          Size/MD5: 10556902 a1d631b11690adeea1f3026248acd144
    
      powerpc architecture (Apple Macintosh G3/G4/G5)
    
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-powerpc-smp_2.6.15.11-4_powerpc.deb
          Size/MD5:  1339442 e61cc86c121be7127fb8c9ffe11e7617
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-powerpc_2.6.15.11-4_powerpc.deb
          Size/MD5:  1335486 3f3bb8d7273c17ada6cd7e244d4c17a4
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nic-restricted-firmware-2.6.15-26-powerpc-di_2.6.15.11-4_powerpc.udeb
          Size/MD5:   799410 eeaa35a950b92c7ba9bdfb20191f6fa9
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/nic-restricted-modules-2.6.15-26-powerpc-di_2.6.15.11-4_powerpc.udeb
          Size/MD5:   508184 66bf1f2491d7e03562025c1512bae2a5
    
      sparc architecture (Sun SPARC/UltraSPARC)
    
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-sparc64-smp_2.6.15.11-4_sparc.deb
          Size/MD5:   828102 62a4bcb8554e8e3b42ca1ee9ea44f12d
        http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.15/linux-restricted-modules-2.6.15-26-sparc64_2.6.15.11-4_sparc.deb
          Size/MD5:   828032 c2efd04b7b02d4f9aa04e0ca919f4cb3
    
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"13","type":"x","order":"1","pct":54.17,"resources":[]},{"id":"88","title":"Should be more technical","votes":"4","type":"x","order":"2","pct":16.67,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"7","type":"x","order":"3","pct":29.17,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.